Bug 115541 - Perl Include path uses 5.8.1, but files use version 5.8.0
Summary: Perl Include path uses 5.8.1, but files use version 5.8.0
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
high
high
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-13 13:14 UTC by Paul Sundling
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 17:18:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Sundling 2004-02-13 13:14:34 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Fedora Core test 1 for x86-64 with default binaries has incompatible
version numbers on @INC

How reproducible:
Consistent

Steps to Reproduce:
1.perl /usr/lib/perl5/site_perl/File/Tail.pm
1a. /etc/rc.d/init.d/spamassassin start
3.
  
Actual results:
Can't locate Time/HiRes.pm in @INC (@INC contains:
/usr/lib64/perl5/5.8.1/x86_64-linux-thread-multi /usr/lib/perl5/5.8.1
/usr/lib64/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.1
/usr/lib/perl5/site_perl
/usr/lib64/perl5/vendor_perl/5.8.1/x86_64-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.1 .) at
/usr/lib/perl5/site_perl/File/Tail.pm line 21.


Expected results:
<no errors>

Additional info:
I first noticed a problem with spamassasson failing.  Then when I
installed pop-before-smtp, I encountered this error in a dependency.
Following are the directories on a fresh install:
/usr/lib/perl5/5.8.1
/usr/lib/perl5/site_perl/5.8.1
/usr/lib/perl5/vendor_perl/5.8.0
/usr/lib/perl5/vendor_perl/5.8.1
/usr/lib64/perl5/5.8.1
/usr/lib64/perl5/site_perl/5.8.1
/usr/lib64/perl5/site_perl/5.8.0
/usr/lib64/perl5/vendor_perl/5.8.1
/usr/lib64/perl5/vendor_perl/5.8.0

The missing include directories are:
/usr/lib64/perl5/site_perl/5.8.0
/usr/lib64/perl5/vendor_perl/5.8.0

So perl needs to be recompiled with the missing directories.  A quick
fix for those not wanting to recompile is to merge the 5.8.0 and 5.8.1
directories in the two missing places and put a symbolic link from one
 to the other.  It's better to use mv instead of tar so that it's
obvious if there is an actual file for both versions.

Comment 1 Chip Turner 2004-02-17 17:18:36 UTC
try the perl 5.8.3 from rawhide; it's much better about directories
and include paths, multilib and otherwise

Comment 2 Paul Sundling 2004-02-17 22:36:39 UTC
My concern isn't fixing it for myself, but making sure that the x86-64
version of the distribution works better "out of the box" for those
less technically skilled than me.  Granted, it might take another 5
months before that processor is mainstream.

Paul Sundling


Note You need to log in before you can comment on or make changes to this bug.